Classes | Enumerations

# toolbar.h File Reference

## Classes
class | wxAuiToolBarEvent
| wxAuiToolBarEvent is used for the events generated by wxAuiToolBar. More...
class | wxAuiToolBarItem
| wxAuiToolBarItem is part of the wxAUI class framework. More...
class | wxAuiToolBarArt
| wxAuiToolBarArt is part of the wxAUI class framework. More...
class | wxAuiDefaultToolBarArt
| wxAuiDefaultToolBarArt is part of the wxAUI class framework. More...
class | wxAuiToolBar
| wxAuiToolBar is a dockable toolbar, part of the wxAUI class framework. More...
## Enumerations
enum | wxAuiToolBarStyle { wxAUI_TB_TEXT = 1 << 0, wxAUI_TB_NO_TOOLTIPS = 1 << 1, wxAUI_TB_NO_AUTORESIZE = 1 << 2, wxAUI_TB_GRIPPER = 1 << 3, wxAUI_TB_OVERFLOW = 1 << 4, wxAUI_TB_VERTICAL = 1 << 5, wxAUI_TB_HORZ_LAYOUT = 1 << 6, wxAUI_TB_HORIZONTAL = 1 << 7, wxAUI_TB_HORZ_TEXT = (wxAUI_TB_HORZ_LAYOUT | wxAUI_TB_TEXT), wxAUI_ORIENTATION_MASK = (wxAUI_TB_VERTICAL | wxAUI_TB_HORIZONTAL), wxAUI_TB_DEFAULT_STYLE = 0 }
enum | wxAuiToolBarArtSetting { wxAUI_TBART_SEPARATOR_SIZE = 0, wxAUI_TBART_GRIPPER_SIZE = 1, wxAUI_TBART_OVERFLOW_SIZE = 2 }
enum | wxAuiToolBarToolTextOrientation { wxAUI_TBTOOL_TEXT_LEFT = 0, wxAUI_TBTOOL_TEXT_RIGHT = 1, wxAUI_TBTOOL_TEXT_TOP = 2, wxAUI_TBTOOL_TEXT_BOTTOM = 3 }

|  | [ top ]